﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Interop;
using BezierSpline.ViewModels;

namespace BezierSpline
{
    public partial class MainPage : UserControl
    {
        ViewModel vm = null;

        public MainPage()
        {
            InitializeComponent();
            this.DataContext = vm = new ViewModel(this.Dispatcher);
            this.SizeChanged += (ss, ee) => vm.SetScreenSize(this.ActualWidth, this.ActualHeight);
            this.MouseLeftButtonUp += (ss, ee) =>
            {
                Content contentObject = Application.Current.Host.Content;
                contentObject.IsFullScreen = !contentObject.IsFullScreen;
            };
            this.settingPanel.MouseLeftButtonUp += (ss, ee) => ee.Handled = true;
        }
    }
}
