﻿using System;

namespace BezierSpline
{
    public static class Tools
    {
        private static Random _rnd = new Random();

        public static double NextDouble()
        {
            return _rnd.NextDouble();
        }
        public static double NextDouble(double maxValue)
        {
            return NextDouble(0f, maxValue);
        }
        public static double NextDouble(double minValue, double maxValue)
        {
            if (maxValue < minValue) return minValue;
            return NextDouble() * (maxValue - minValue) + minValue;
        }
        public static double NextRangeDouble(double range)
        {
            return NextDouble(-range, range);
        }
        public static int NextInt(int maxValue)
        {
            return _rnd.Next(maxValue);
        }
    }
}
