﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media;

namespace BezierSpline.Views
{
    public class NameToBrushConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            try
            {
                string name = "" + value;
                return new SolidColorBrush(Color.FromArgb(
                    byte.Parse(name.Substring(1, 2), NumberStyles.HexNumber),
                    byte.Parse(name.Substring(3, 2), NumberStyles.HexNumber),
                    byte.Parse(name.Substring(5, 2), NumberStyles.HexNumber),
                    byte.Parse(name.Substring(7, 2), NumberStyles.HexNumber)
                ));
            }
            catch
            {
                throw new ArgumentException();
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value != null && value.GetType() == typeof(SolidColorBrush))
                return ((SolidColorBrush)value).Color.ToString();
            else
                throw new ArgumentException();
        }
    }
}
